---
title: overscroll-behavior-block
slug: Web/CSS/overscroll-behavior-block
tags:
  - CSS
  - CSS Box Model
  - CSS Logical Properties
  - CSS Property
  - NeedsExample
  - Reference
  - overscroll-behavior-block
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>overscroll-behavior-block</code></strong> CSS property sets the browser's behavior when the block direction boundary of a scrolling area is reached.</span></p>

<p>See {{cssxref("overscroll-behavior")}} for a full explanation.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
overscroll-behavior-block: auto; /* default */
overscroll-behavior-block: contain;
overscroll-behavior-block: none;

/* Global values */
overscroll-behavior-block: inherit;
overscroll-behavior-block: initial;
overscroll-behavior-block: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>overscroll-behavior-block</code> property is specified as a keyword chosen from the list of values below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The default scroll overflow behavior occurs as normal.</dd>
 <dt><code>contain</code></dt>
 <dd>Default scroll overflow behavior is observed inside the element this value is set on (e.g. "bounce" effects or refreshes), but no scroll chaining occurs to neighbouring scrolling areas, e.g. underlying elements will not scroll.</dd>
 <dt><code>none</code></dt>
 <dd>No scroll chaining occurs to neighbouring scrolling areas, and default scroll overflow behavior is prevented.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Preventing_block_overscrolling">Preventing block overscrolling</h3>

<p>In this demo we have two block-level boxes, one inside the other. The outer box has a large {{cssxref("height")}} set on it so the page will scroll vertically. The inner box has a small {{cssxref("width")}} (and <code>height</code>) set on it so it sits comforably inside the viewport, but its content is given a large <code>height</code> so it will also scroll vertically.</p>

<p>By default, when the inner box is scrolled and a scroll boundary is reached, the whole page will begin to scroll, which is probably not what we want. To avoid this happening in the block direction, we've set <code>overscroll-behavior-block: contain</code> on the inner box.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;main&gt;
  &lt;div&gt;
    &lt;div&gt;
      &lt;p&gt;&lt;code&gt;overscroll-behavior-block&lt;/code&gt; has been used to make it so that when the scroll boundaries of the yellow inner box are reached, the whole page does not begin to scroll.&lt;/p&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/main&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">main {
  height: 3000px;
  width: 500px;
  background-color: white;
  background-image: repeating-linear-gradient(to bottom, rgba(0,0,0,0) 0px, rgba(0,0,0,0) 19px, rgba(0,0,0,0.5) 20px);
}

main &gt; div {
  height: 300px;
  width: 400px;
  overflow: auto;
  position: relative;
  top: 50px;
  left: 50px;
  overscroll-behavior-block: contain;
}

div &gt; div {
  height: 1500px;
  width: 100%;
  background-color: yellow;
  background-image: repeating-linear-gradient(to bottom, rgba(0,0,0,0) 0px, rgba(0,0,0,0) 19px, rgba(0,0,0,0.5) 20px);
}

p {
  padding: 10px;
  background-color: rgba(255,0,0,0.5);
  margin: 0;
  width: 340px;
  position: relative;
  top: 10px;
  left: 10px;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Preventing_block_overscrolling','100%', 500)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Overscroll Behavior', '#propdef-overscroll-behavior-block', 'overscroll-behavior-block')}}</td>
   <td>{{Spec2('CSS Overscroll Behavior')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.overscroll-behavior-block")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://developers.google.com/web/updates/2017/11/overscroll-behavior#demo">Take control of your scroll: customizing pull-to-refresh and overflow effects</a></li>
</ul>
